/*Reseteo*/
:root {
    color-scheme: dark;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html{
    scroll-behavior: smooth;
    min-height: 100%;
    background-color: #0f172a;
}

body{
    min-height: 100vh;
    background-image: url("../image/background.png");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-attachment: fixed;
    color: white;
    background-color: #0f172a;
}

.section,
.hero,
.hero-body,
.container,
.footer{
    background: transparent;
}

/*Navbar*/

.navbar{

    position: sticky;
    top: 0;
    z-index: 999;

    background: rgba(0,0,0,0.15) !important;
    backdrop-filter: blur(12px);

}

a.navbar-item{
    color: white;
}

.navbar-menu{
    justify-content: center;
}

.navbar-start{
    margin: 0 auto;
}

.navbar-brand{
    height: auto;
}

.navbar-item{
    position: relative;
    color: white;
    font-weight: 600;
    height: 4rem;
}

.navbar-item img {
    max-height: 3.2rem;
}

.navbar-item::after{
    content: "";
    position: absolute;
    left: 15%;
    bottom: 10px;
    width: 0;
    height: 2px;
    background: white;
    transition: width .3s ease;
}

.navbar-item:hover::after{
    width: 70%;
}

.navbar-item:hover{
    background: rgba(255,255,255,0.1);
}

.navbar-brand{
    position: sticky;
    top: 0;
    z-index: 999;

    background: rgba(0,0,0,0.15) !important;
    backdrop-filter: blur(12px);
}


/*-------------------------------------------------------------*/


@media screen and (max-width: 1023px){

     .navbar{
        position: sticky;
        top: 0;
        z-index: 999;
    }

    .navbar-menu{
        position: absolute;
        top: 100%;
        left: 10px;
        right: 10px;

        background: rgba(15,23,42,0.75) !important;
        backdrop-filter: blur(15px);

        border: 1px solid rgba(255,255,255,0.1);
        border-radius: 16px;

        margin: 0;
    }

    .navbar-menu{
        background: rgba(15,23,42,0.99) !important;
        backdrop-filter: blur(15px);

        border: 1px solid rgba(255,255,255,0.1);
        border-radius: 16px;
        margin: 10px;
        box-shadow: none;
    }

    .navbar-start{
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .navbar-item{
        text-align: center;
        color: white;
    }
    a.navbar-item {
        color: white;
    }

    a.navbar-burger{
        color: white;
    }
}

.navbar-item:hover{
    background: rgba(255,255,255,0.1) !important;
    }

@media screen and (max-width: 1023px){

    .navbar-start{
        display: flex;
        flex-direction: column;
        align-items: center;
    }

}

.navbar-burger{
    border-radius: 12px;
    color: white;
}

.navbar-burger:hover{
    background: rgba(255,255,255,0.1);
}


/*Hero*/

.hero-body{
    background-color: transparent;
}
.hero .title,
.hero .subtitle,
.hero p{
    color: white !important;
}

.hero .title{
    color: #ffffff;
    text-shadow: 0 2px 10px rgba(0,0,0,0.5);
}

@media (max-width: 768px){
    .hero-principal .column.is-6.has-text-centered{
        display: none;
    }
}



/*Sobre Mi*/



.section h2 {
    padding-bottom: 2rem;
}

#miEnfoque{
    padding: 1rem; 
}

.foto-perfil{
    max-width:250px;
    border-radius:25%;
}

.miEnfoque {
    background-color: rgba(255,255,255,0.08);
    border-radius: 12px;
    padding: 2rem;
}


/*Servicios*/

.cardServicios{
    transition: .3s;
}

.cardServicios:hover{
    transform: translateY(-5px);
}

/*Tecnologias*/

.tech-card{
    background: rgba(255,255,255,0.08);
    backdrop-filter: blur(10px);
    border-radius: 12px;
    padding: 20px;
    transition: .3s;

    display: flex;
    flex-direction: column;
    align-items: center;
}

.tech-logo {
    width: 80px;
    height: 80px;
    object-fit: contain;
   
}

.tech-card:hover{
    transform: translateY(-5px);
}

.tech-grid{
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 1rem;
}

@media (max-width: 768px){
    .tech-grid{
        grid-template-columns: repeat(2, 1fr);
    }
}


.box,
.card{
    background: rgba(255,255,255,0.08) !important;
    backdrop-filter: blur(10px);
    color: white;
    border: 1px solid rgba(255,255,255,0.1);
}
/*Porque Elegirme*/

.containerPorque{
    text-align: center;
    justify-content: center;
}

#porque-elegirme .tech-grid{
    grid-template-columns: repeat(3, 1fr);
}

@media (max-width: 768px){
    #porque-elegirme .tech-grid{
        grid-template-columns: 1fr;
    }
}

/*Proyectos*/

#proyectos .card{
    text-align: center;
    padding: 1rem;
}

#proyectos figure{
    display: flex; 
    justify-content: center;
    margin-bottom: 1rem;
}

#proyectos figure img{
width: 80px;
    height: auto;

}

/*Servicios*/

.card{
    height:100%;
    transition:.3s;
}

.cardServicios{
    text-align: center;
}

.card:hover{
    transform:translateY(-5px);
}

/*Contacto*/

#contacto .container{
    max-width:700px;
}

input,
textarea,
select {
    background-color: rgba(255,255,255,0.08);
    color: white;
    border: 1px solid rgba(255,255,255,0.2);
}

input::placeholder,
textarea::placeholder {
    color: rgba(255,255,255,0.6);
}

body, p, h1, h2, h3, h4, h5, h6, label {
    color: white;
}



/*Footer*/

.footer{
    background: rgba(15, 23, 42, 0.75);
    backdrop-filter: blur(12px);
    color: white;
    border-top: 1px solid rgba(255,255,255,0.08);
}

.botonWhatsapp {
    position: fixed;
    right: 20px;
    bottom: 20px;
    z-index: 999;
}

.logoWhatsapp {
    width: 60px;
    height: 60px;
    transition: transform .3s;
}

.logoWhatsapp:hover {
    transform: scale(1.1);
}

.footerContainer{
    display: flex;
    justify-content:space-between;
    padding: 2rem;
    
}

.footerContainer ul li{
    text-decoration: none;
    color: white;
}

.footerContainer ul li:hover{
    color: rgb(77, 243, 207);
}

.imagenFooter{
   width: 10rem;
   height: auto; 
}

.footerRedes {
    text-align: center;
}

.tituloFooter {
    margin-bottom: 1rem;
    font-size: 1.1rem;
    color: white;
}

.contenedorLogos {
    display: flex;
    justify-content: center;
    gap: 1rem;
}

.contenedorLogos img {
    width: 42px;
    height: 42px;
    transition: transform .3s;
}

.contenedorLogos img:hover {
    transform: scale(1.1);
}

.containerFooterInf{
    background: rgba(255,255,255,0.08) !important;
    backdrop-filter: blur(10px);
    color: white;
    border: 1px solid rgba(255,255,255,0.1);
    border-radius: 12px;
    padding: 2rem;
}

.footerInferior{
    text-align: center;
    
}

.footerDesarrollador{
    text-align: center;
}

@media (max-width: 768px) {

    .footerContainer{
        flex-direction: column;
        align-items: center;
        text-align: center;
        gap: 2rem;
    }

    .footerContainer ul{
        padding: 0;
        margin: 0;
        list-style: none;
    }

    .footerContainer ul li{
        margin-bottom: .8rem;
    }

    .imagenFooter{
        width: 8rem;
    }

    .imagenFooter img{
        width: 100%;
        height: auto;
    }

    .containerFooterInf{
        padding: 1rem;
    }

    .footerInferior p,
    .footerDesarrollador p{
        font-size: .9rem;
    }

    .footerContainer ul{
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: .8rem 2rem;
        text-align: center;
    }

     .imagenFooter img{
        width: 80px;
        opacity: .9;
    }

    
}


